From 8733b23a29247960cb1e01f2f2349b8d381c35a5 Mon Sep 17 00:00:00 2001
From: Daniel Gustafsson <daniel@yesql.se>
Date: Mon, 31 Oct 2016 15:55:59 +0100
Subject: [PATCH 5/5] Fix hash lookup

c is a hash reference and thus $c->{foo} is the correct syntax
---
 src/backend/utils/mb/Unicode/convutils.pm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/backend/utils/mb/Unicode/convutils.pm b/src/backend/utils/mb/Unicode/convutils.pm
index 3ae7c7b..6c0e58f 100644
--- a/src/backend/utils/mb/Unicode/convutils.pm
+++ b/src/backend/utils/mb/Unicode/convutils.pm
@@ -1000,11 +1000,11 @@ sub make_charmap
 			$direction eq "to_unicode" ?
 			($c->{code}, $c->{ucs}) : ($c->{ucs}, $c->{code});
 
-		if (defined $c{$src})
+		if (defined $c->{$src})
 		{
 			printf(STDERR
 				   "Error: duplicate source code: 0x%04x => 0x%04x, 0x%04x\n",
-				   $src, $c{$src}, $dst);
+				   $src, $c->{$src}, $dst);
 			exit;
 		}
 		if ($direction eq "to_unicode")
-- 
2.6.4 (Apple Git-63)

